com.h3c.of.lib.msg

## Enum FlowModCommand

- java.lang.Object
- - java.lang.Enum<FlowModCommand>
  - - com.h3c.of.lib.msg.FlowModCommand

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<FlowModCommand>

      public enum FlowModCommand
      extends Enum<FlowModCommand>
      implements OfpCodeBasedEnum

  Designates flow mod commands; Since 1.0.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD` New flow; Since 1.0.
    `DELETE` Delete all matching flows; Since 1.0.
    `DELETE_STRICT` Delete entry strictly matching wildcards and priority; Since 1.0.
    `MODIFY` Modify all matching flows; Since 1.0.
    `MODIFY_STRICT` Modify entry strictly matching wildcards and priority; Since 1.0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static FlowModCommand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlowModCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final FlowModCommand ADD

      New flow; Since 1.0.

    - #### MODIFY

          public static final FlowModCommand MODIFY

      Modify all matching flows; Since 1.0.

    - #### MODIFY_STRICT

          public static final FlowModCommand MODIFY_STRICT

      Modify entry strictly matching wildcards and priority; Since 1.0.

    - #### DELETE

          public static final FlowModCommand DELETE

      Delete all matching flows; Since 1.0.

    - #### DELETE_STRICT

          public static final FlowModCommand DELETE_STRICT

      Delete entry strictly matching wildcards and priority; Since 1.0.

  - ### Method Detail

    - #### values

          public static FlowModCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowModCommand c : FlowModCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowModCommand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.